[Solved] Re: devede/avconv - "It seems a bug of mencoder"

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
fpeelo
Level 1
Level 1
Posts: 45
Joined: Wed Nov 16, 2011 7:44 pm

[Solved] Re: devede/avconv - "It seems a bug of mencoder"

Post by fpeelo » Fri Jul 04, 2014 7:54 pm

Trying to make a dvd with DeVeDe. When I try to make the image I get a message from DeveDe:
Conversion failed
It seems a bug of Mencoder
I tried running DeVeDe from a terminal, and saw that it was running avconv with parameters -y -target pal-dvd -acodec ac3 -sn -g 12 -bf 2 -strict 1 -ac 2 -s 720x576 -threads 2 -trellis 1 -mbd 2 -b 4941k -b:a 224k -aspect 4:3 /home/user/StarTrek_Series3/Disc1/Image/movie/movie_01_01.mpg -newaudio -newaudio -newaudio -newaudio

Then avconv says: Unrecognized option 'newaudio'.
Error splitting the argument list: Option not found

After googling, it looks like avconv cannot support all the parameters that DeVeDe would like to use, so maybe it's not compatible with DeVeDe. But I cannot find ffmpeg in the list of packages that Synaptic could install, to replace avconv. So how can I get DeVeDe to work? It worked fine in the previous Mint installations that I had.

Thanks

Frank
Last edited by fpeelo on Sat Jul 12, 2014 2:43 pm, edited 1 time in total.

User avatar
WinterTroubles
Level 6
Level 6
Posts: 1474
Joined: Fri Apr 11, 2014 6:25 am
Location: UK

Re: devede/avconv problem - "It seems a bug of Mencoder"

Post by WinterTroubles » Fri Jul 04, 2014 8:02 pm

I've no experience with this.. but, this topic looks like it may be relevant http://forums.linuxmint.com/viewtopic.p ... 0&p=884452
17.1Cinn/17.1Xfce

If solved please edit the subject line of your first post to include [Solved] so other users know there's a solution in the topic.

GNU Terry Pratchett

fpeelo
Level 1
Level 1
Posts: 45
Joined: Wed Nov 16, 2011 7:44 pm

Re: devede/avconv problem - "It seems a bug of Mencoder"

Post by fpeelo » Sat Jul 05, 2014 3:56 am

Thanks for the reply. I had seen that thread, and if I understand it right, it's basically that he couldn't install ffmpeg and was told "don't use ffmpeg, use avconv", and installing DeVeDe fixed libav.

My problem is different, I find that DeVeDe is passing a parameter to avconv, that the version of avconv on my machine does not understand. I have Mint 17 (Mate), and have taken any updates that have been available (except for 11 packages that Synaptic refuses to allow to be upgraded, but they are all udev, systemd and xorg packages, not libav or DeVeDe). Google did find pages that said to downgrade to an older version of mencoder or devede - but to me that seems complicated, involving messing with the repositories, and I don't know what the side effects would be, if any. I am assuming that mint packages are tested with other mint packages, so introducing alien packages might break something else that uses libav.

Maybe installing ffmpeg is not the right way to go either. It's not in the packages that Synaptic provides; maybe the Ubuntu maintainers are having a grump at the ffmpeg developers and prefer the libav fork. That's ok, as long as everything works with the libav stuff, but here we have a DeVeDe and an avconv in the repositories that don't play well together.

I don't know how to proceed. Is it a bug? Or an error in the repositories? Or is there some setting in DeVeDe that would remove the offending parameter so that conversion would not fail? I'm hoping it's the last of these, that there is somewhere a switch I can flick that will fix the problem.

User avatar
WinterTroubles
Level 6
Level 6
Posts: 1474
Joined: Fri Apr 11, 2014 6:25 am
Location: UK

Re: devede/avconv problem - "It seems a bug of Mencoder"

Post by WinterTroubles » Sat Jul 05, 2014 5:10 am

My apologies.. Hopefully someone with the relevant experience will be able to help.
17.1Cinn/17.1Xfce

If solved please edit the subject line of your first post to include [Solved] so other users know there's a solution in the topic.

GNU Terry Pratchett

fpeelo
Level 1
Level 1
Posts: 45
Joined: Wed Nov 16, 2011 7:44 pm

[Solved] Re: devede/avconv - "It seems a bug of mencoder"

Post by fpeelo » Sat Jul 12, 2014 2:43 pm

Found a (sort of) solution at https://groups.google.com/forum/#!topic ... AH_RFy-MMY

The problem is that DeVeDe is passing a "-newaudio" parameter to avconv, and avconv don't like it.

Turns out that DeVeDe is a bunch of python scripts, which makes modifying them easy, and the avconv wrapper is /usr/lib/devede/devede_avconv_convert.py

So, as root, edit /usr/lib/devede/devede_avconv_convert.py and look for -newaudio. As stated on that web page, there is one instance, at line 546 (but I wasn't sure my version was the same as the author of that post). The line is
command_var.append("-newaudio")
so put a # in front to comment it out:
#command_var.append("-newaudio")

End of problem from DeVeDe. It's working for me now.

Only problem is, this is a bit of a hack on one PC rather than a fix to the program. That post was on the official DeVeDe forum, posted last November, so DeVeDe already have the solution. Anyone know where I should send an email to get this fix made part of Linux Mint?

kwisher
Level 5
Level 5
Posts: 781
Joined: Wed Mar 05, 2008 12:54 pm
Location: Greentown, Indiana USA

Re: [Solved] Re: devede/avconv - "It seems a bug of mencoder

Post by kwisher » Sun Nov 23, 2014 2:45 pm

This "hack" is still necessary & works with Xububtu 14.10.
The instructions suggested Windows XP or better, so I installed Linux :)

cmdrmic
Level 1
Level 1
Posts: 14
Joined: Sun Apr 30, 2017 1:00 pm

Re: [Solved] Re: devede/avconv - "It seems a bug of mencoder"

Post by cmdrmic » Wed Feb 20, 2019 2:41 pm

I can confirm this is still a problem with 17.3, and this solution works perfectly. New PM ver. of Devede works very nicely after manually patching. This is only necessary of you choose NTSC. It works fine with PAL, prior to patching - but PAL DVDs will not work in U.S. Players (usually).

Post Reply

Return to “Software & Applications”